# Local Service Installation

## Installation

To install the local service, you need to clone the project's private GitLab repository.

```bash
git clone git@gitlab.inria.fr:act/local-service.git
cd local-service
```
Once the project is cloned, you can create a virtual environment and install the project dependencies.

=== "Linux"
    ```bash
    python -m venv myenv
    source myenv/bin/activate
    ```
=== "Windows"
    ```bash
    python -m venv myenv
    myenv/Scripts/activate
    ```
=== "macOS"
    ```bash
    python -m venv myenv
    source myenv/bin/activate
    ```
Once the virtual environment is activated, you can install the project dependencies.

```bash
pip install -r requirements.txt
```

## Starting

Before starting the Local Service, please ensure the National Control Service is running.

To start the local service, you can use the following command:

```bash
python -m Services
```
On the first run, a `.ini` configuration file will be created via the CLI. You will need to provide the necessary information to connect to the National Control Service.  
If you wish to use the basic local development environment, you can press `Enter` to accept the default values.

You can then launch the service control panel by going to [http://localhost:8090](http://localhost:8090).
