# [ ACT ]: Asynchronous Contact Tracing
The Asynchronous Contact Tracing (ACT) application is a proof of concept for an implementation of the ETSI ACT standard.

## Functionality

### Dorfman Group Testing
The main idea behind the ACT system is to use the Dorfman group testing method. Instead of testing each individual separately, a set of samples is pooled together and tested as a group. If the result is positive, individual tests are then conducted to precisely identify the infected individuals. However, if the result is negative, multiple people can be confirmed as virus-free with just one test. This process speeds up testing, reduces costs, and simplifies logistics.

### In Practice
Testing locations rather than individuals would be equivalent to the previous method. For example, to detect a pathogen transmitted through the air or water droplets, one could test the air filters in a meeting room or the dirty water collected after cleaning in a supermarket. The idea is to use autonomous and easy-to-use devices so that a janitor can take a sample and insert it into the device, which will then test it and send the results to a national database. Research for such devices is currently ongoing by a microbiology company in partnership with Inria as part of the PANDESYS project.

Additionally, these devices can be configured to connect to a nearby Internet box linked to the sample source they are processing. In this way, the detection area would be comparable to the wifi network emitted by the access point.
