# Standardization

## ACT
The implementation of ACT is only a proof of concept of the standard described by ETSI. A technical specification document was written by Luigi Liquori, Enrico Scarrone, Suno Wood, Lanting Cees, Francisco Dasilva, Markus Maass, Flynn Bob, Thomas Kessler, Holoyad Taras, and Massimo Vanetti.

The technical description can be found in the document [TS 103 757](https://inria.hal.science/hal-02989793/document). It describes the main components of the application, as well as the interactions between them.

## OneM2M

To ensure communication between the different components of the application, Luigi Liquori decided to use the OneM2M standard. It is used in [Internet of Things](https://en.wikipedia.org/wiki/Internet_of_things) projects.

OneM2M is a partnership between eight of the world's major standardization organizations: ARIB (Japan), ATIS (USA), CCSA (China), ETSI (Europe), TIA (USA), TSDSI (India), TTA (Korea), and TTC (Japan). They have been working together since 2012 to create technical specifications ensuring an efficient system architecture and communication for IoT (Internet of Things) and Machine-to-Machine (M2M) systems. The name of the partnership was adopted as the name of the standard created. The first version, composed of several technical specification documents written in English, was published in February 2015, laying the foundations. The ACT project is based on the third version of the standard, dated December 2018. This standard is already used in the Indian government's IoT network and in the city of Bordeaux's network.

According to this standard, our IoT network must be organized in a tree structure, with a root called CSE (Common Service Entity). This root acts as a REST API to which all devices in the system must register in order to communicate with each other. Communication in this tree follows the publish/subscribe (pub/sub) model and utilizes different types of resources that can be present in the tree: Application Entity (AE), Container (CTN), Content Instance (CIN), and Subscribe (SUB) are the most common.
